classification
Title: Fix format specifiers for debug output in _sre.c
Type: behavior Stage: resolved
Components: Regular Expressions Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Arfrever, ezio.melotti, mrabarnett, python-dev, serhiy.storchaka
Priority: normal Keywords: needs review, patch

Created on 2013-08-06 16:11 by serhiy.storchaka, last changed 2013-09-05 15:24 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
re_trace_format.patch serhiy.storchaka, 2013-08-06 16:11 review
Messages (2)
msg194561 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-06 16:11
When the VERBOSE macro name is defined in _sre.c the TRACE macro prints regex processing trace. It use the %d format specifier for Py_ssize_t values. This can crash on 64-bit. Proposed patch fixes format strings.
msg197006 - (view) Author: Roundup Robot (python-dev) Date: 2013-09-05 15:05
New changeset 99310e5e1b1c by Serhiy Storchaka in branch '3.3':
Issue #18672: Fixed format specifiers for Py_ssize_t in debugging output in
http://hg.python.org/cpython/rev/99310e5e1b1c

New changeset c41c68a18bb6 by Serhiy Storchaka in branch 'default':
Issue #18672: Fixed format specifiers for Py_ssize_t in debugging output in
http://hg.python.org/cpython/rev/c41c68a18bb6

New changeset 603b4d593758 by Serhiy Storchaka in branch '2.7':
Issue #18672: Fixed format specifiers for Py_ssize_t in debugging output in
http://hg.python.org/cpython/rev/603b4d593758
History
Date User Action Args
2013-09-05 15:24:58serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-09-05 15:05:39python-devsetnosy: + python-dev
messages: + msg197006
2013-08-29 10:13:50serhiy.storchakalinkissue18685 dependencies
2013-08-29 10:12:28serhiy.storchakasetassignee: serhiy.storchaka
2013-08-29 10:11:56serhiy.storchakasetkeywords: + needs review
2013-08-20 05:42:53Arfreversetnosy: + Arfrever
2013-08-06 16:11:58serhiy.storchakacreate